Skip to main content
POST
/
compute
/
v1
/
deployments
/
{deployment_id}
/
stop
Stop a deployment
curl --request POST \
  --url https://compute.hexelstudio.com/compute/v1/deployments/{deployment_id}/stop \
  --header 'Authorization: <api-key>'
{
  "config_hash": "<string>",
  "created_at": "<string>",
  "endpoint": "<string>",
  "endpoint_name": "<string>",
  "id": "<string>",
  "image": "<string>",
  "manifest": {},
  "metadata": {},
  "name": "<string>",
  "registry_id": "<string>",
  "skills": [
    "<string>"
  ],
  "state": "<string>",
  "tier": "<string>",
  "token": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://hexelstudio.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

Path Parameters

deployment_id
string
required

Deployment ID

Response

200 - application/json

OK

config_hash
string
created_at
string
endpoint
string
endpoint_name
string
id
string
image
string
manifest
object
metadata
object
name
string
registry_id
string
skills
string[]
state
string
tier
string
token
string
updated_at
string